Name:		perl-Test-Modern
Version:	0.002
Release:	2%{?dist}
Summary:	Precision testing for modern perl
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Test-Modern/
Source0:	http://search.cpan.org/CPAN/authors/id/T/TO/TOBYINK/Test-Modern-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	perl(CPAN::Meta::Requirements) >= 2.000
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.17
# Module Runtime
BuildRequires:	perl(B)
BuildRequires:	perl(Exporter::Tiny) >= 0.030
BuildRequires:	perl(Import::Into) >= 1.002000
BuildRequires:	perl(Module::Runtime) >= 0.012
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::API) >= 0.004
BuildRequires:	perl(Test::Deep) >= 0.111
BuildRequires:	perl(Test::Fatal) >= 0.007
BuildRequires:	perl(Test::LongString) >= 0.15
BuildRequires:	perl(Test::More) >= 0.96
BuildRequires:	perl(Test::Warnings) >= 0.009
BuildRequires:	perl(Try::Tiny) >= 0.15
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(Data::Dumper)
# Optional Test Requirements
BuildRequires:	perl(Moose) >= 2.0600
BuildRequires:	perl(namespace::clean)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(B)
Requires:	perl(Scalar::Util)

%description
Test::Modern provides the best features of Test::More, Test::Fatal,
Test::Warnings, Test::API, Test::LongString, and Test::Deep, as well as ideas
from Test::Requires, Test::DescribeMe, Test::Moose, and Test::CleanNamespaces.

Test::Modern also automatically imposes strict and warnings on your script.

%prep
%setup -q -n Test-Modern-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test

%files
%doc Changes CONTRIBUTING COPYRIGHT CREDITS LICENSE README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Modern.3pm*

%changelog
* Thu Mar 20 2014 Paul Howarth <paul@city-fan.org> - 0.002-2
- Sanitize for Fedora submission

* Fri Mar 14 2014 Paul Howarth <paul@city-fan.org> - 0.002-1
- Initial RPM version
